Summary:	Graphical OpenGL version of traceroute
Name:		xtraceroute
Version:	0.9.2
Release:	%mkrel 5
License:	GPLv2+
Group:		Monitoring
Source0:	http://www.beebgames.com/sw/%{name}-%{version}.tar.bz2
Source10:	%{name}.16.png
Source11:	%{name}.32.png
Source12:	%{name}.48.png
URL:		http://www.beebgames.com/sw/gtk-ports.html
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	libgdk_pixbuf2.0-devel
BuildRequires:	gtkglarea2-devel
BuildRequires:	Mesa-common-devel
BuildRequires:	traceroute
BuildRequires:	bind-utils
BuildRequires:	recode
BuildRequires:	gettext-devel
BuildRequires:	desktop-file-utils
Requires:	traceroute
Requires:	bind-utils

%description
Xtraceroute is a graphical traceroute utility that shows the path your IP
packets travel on a 3 dimensional rendered globe. Be sure to download the NDG
data files mentioned in the INSTALL document too.

%prep
%setup -q
sed -i -e 's,%{name}.png,%{name},g' %{name}.desktop

# otherwise autoreconf doesn't work - AdamW 2008/01
cp %{_datadir}/gettext/config.rpath .

autoreconf

%build
%configure2_5x
make

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/%{_datadir}/pixmaps
%makeinstall xtraceroutedatadir=%{?buildroot:%{buildroot}}%{_datadir}/%{name}

install xtraceroute.png %{buildroot}%{_datadir}/pixmaps
touch %{buildroot}%{_datadir}/xtraceroute/hosts.cache
touch %{buildroot}%{_datadir}/xtraceroute/site_hosts.cache
touch %{buildroot}%{_datadir}/xtraceroute/site_networks.cache

mv %{buildroot}/%{_bindir}/%{name} %{buildroot}/%{_bindir}/%{name}.real
cat > %{buildroot}/%{_bindir}/%{name} << EOF
#!/bin/sh
if [ ! -d \$HOME/.xt ]; then
		mkdir \$HOME/.xt
fi
%{_bindir}/%{name}.real "\$@"
EOF
chmod a+x %{buildroot}/%{_bindir}/%{name}

# icon
mkdir -p %{buildroot}%{_iconsdir}/hicolor/{16x16,32x32,48x48}/apps
install %{SOURCE10} %{buildroot}%{_iconsdir}/hicolor/16x16/apps/%{name}.png
install %{SOURCE11} %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png
install %{SOURCE12} %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png

recode ISO-8859-15..UTF-8 %{name}.desktop

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="System" \
  --add-category="Monitor" \
  --dir %{buildroot}%{_datadir}/applications %{name}.desktop

%find_lang %{name}

%post
%{update_menus}
%{update_icon_cache hicolor}

%postun
%{clean_menus}
%{clean_icon_cache hicolor}

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS ChangeLog NEWS README TODO
%{_bindir}/*
%{_datadir}/xtraceroute
%{_datadir}/pixmaps/xtraceroute.png
%{_mandir}/*/*
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png


%changelog
* Sun Jan 13 2008 Adam Williamson <awilliamson@mandriva.com> 0.9.2-5mdv2008.1
+ Revision: 151073
- rebuild for new era
- fix .desktop file (no icon extension)
- replace file-based buildrequires / requires with package-based
- copy config.rpath from gettext into topdir before running autoreconf or else it fails
- fd.o icons
- new license policy
- spec clean

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request


* Thu Jan 18 2007 Olivier Blin <oblin@mandriva.com> 0.9.2-4mdv2007.0
+ Revision: 110134
- drop unused icon (and fix upload, #28272)
- bunzip2 png files
- remove old menu
- remove unneeded perl requires

* Thu Nov 02 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.9.2-3mdv2007.1
+ Revision: 75965
- add BuildRequires: gettext-devel desktop-file-utils
- Import xtraceroute

* Fri Sep 08 2006 Olivier Blin <blino@n4.mandriva.com> 0.9.2-2mdv2007.0
- use UTF-8 encoding for the desktop file (#25084)

* Sat Aug 05 2006 Olivier Thauvin <nanardon@mandriva.org> 0.9.2-1mdv2007.0
- from Cris Boylan <crisuk@yahoo.com>:
  - 0.9.2

* Sat Jul 08 2006 Olivier Blin <oblin@mandriva.com> 0.9.1-14mdv2007.0
- from Cris Boylan <crisuk@yahoo.com>:
  o gtk2 port (#23570)
  o use gtk2 BuildRequires
- split gtk2 port diff as Patch0
- add XDG menu

* Sat Sep 10 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 0.9.1-13mdk
- menudir

* Fri Nov 19 2004 Olivier Blin <blino@mandrake.org> 0.9.1-12mdk
- birthday rebuild

